Subject: Re: ADL: fixing non-integral charges

From: "Flight, Robert Maxwell" <l72k6$at$unb.ca>
Date: Mon, 3 Nov 2003 10:42:33 -0400

Hi Alex,

> I am trying to use autodock via adt. When I read in my ligand it
> complains that the charge on the molecule is not integral and to fix
> this in the written file and mentions specific residues. From the
> written pdbq file an example is
> 
> ATOM      1  N   ALA A 295      76.602  58.846  18.320  1.00 15.64    -0.520
> ATOM      2  HN1 ALA A 295      76.335  59.392  19.139  1.00  0.00     0.000
> ATOM      3  HN2 ALA A 295      76.036  59.070  17.502  1.00  0.00     0.000
> ATOM      4  HN3 ALA A 295      77.509  59.124  17.946  1.00  0.00     0.000
> ATOM      5  CA  ALA A 295      76.552  57.441  18.657  1.00 15.00     0.215
> ATOM      6  C   ALA A 295      76.956  56.616  17.418  1.00 18.88     0.526
> ATOM      7  O   ALA A 295      77.711  55.640  17.578  1.00 17.66    -0.500
> ATOM      8  CB  ALA A 295      75.172  57.039  19.105  1.00 12.54     0.031

> From what you show here, I'm guessing that the alanine is at a break point in the
protein (if it was continuous then the Nitrogen should have only one H like the other
one you listed), you should visually check this to be sure.  I have personally had a
lot of trouble with partial charges on any residues that are at a break in my proteins.

> ie it only has HN not HN1,2,3 and the charge on it is .248 thus giving a
> net charge of 0.
> 
> So to fix this file do I want to simply delete the extra HN lines and
> change the charge from 0 to 0.248 or do I fix it some other way?

Personally, I have started ignoring the message as long as residue was not near or part
of the active site, and I have not noticed it making any difference in my docking
results.  If you really wanted, you could distribute a positive 0.248 charge evenly
between the three hydrogens.  That would be the safe bet, and is relatively painless if
you only have to do it once.

Hope this helps.

Cheers,

-Robert

***************************
Robert Flight
Master Candidate
Computational Chemistry
Department of Chemistry
University of New Brunswick
Fredericton  NB, Canada  E3B 6E2
e-mail: robert.flight$at$unb.ca
***************************
"A computer terminal is not some clunky old television with a typewriter in front of
it.
 It is an interface where the mind and body can connect with the universe and move bits
of it about." -- Hitch Hikers Guide to the Galaxy